Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class NoOpenStartTagException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.transform.TransformerException
                  net.sf.saxon.trans.XPathException
                      net.sf.saxon.trans.DynamicError
                          net.sf.saxon.event.NoOpenStartTagException

All Implemented Interfaces:
  java.io.Serializable

public class NoOpenStartTagException
extends DynamicError

Exception indicating that an attribute or namespace node has been written when there is no open element to write it to

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class net.sf.saxon.trans.XPathException
`XPathException.Circularity`

Constructor Summary
`NoOpenStartTagException(java.lang.String message)`

Method Summary
`static NoOpenStartTagException` | `makeNoOpenStartTagException(int nodeKind, java.lang.String name, int hostLanguage, boolean topLevel, boolean isSerializing)`

Methods inherited from class net.sf.saxon.trans.DynamicError
`getXPathContext, makeDynamicError, setXPathContext`

Methods inherited from class net.sf.saxon.trans.XPathException
`getErrorCodeLocalPart, getErrorCodeNamespace, getErrorObject, hasBeenReported, isTypeError, makeStatic, setErrorCode, setErrorCode, setErrorObject, setHasBeenReported, setIsTypeError`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoOpenStartTagException

    public NoOpenStartTagException(java.lang.String message)

Method Detail

### makeNoOpenStartTagException

    public static NoOpenStartTagException makeNoOpenStartTagException(int nodeKind,
                                                                      java.lang.String name,
                                                                      int hostLanguage,
                                                                      boolean topLevel,
                                                                      boolean isSerializing)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD